# Generated by Django 4.1.7 on 2023-03-15 04:14

import apps.certificate.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('courses', '0011_usercourse_delete_userbuy'),
        ('bot_manager', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserCertificate',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('certificate_image', models.ImageField(blank=True, null=True, upload_to=apps.certificate.models.get_user_certificate_img)),
                ('certificate_pdf', models.FileField(blank=True, null=True, upload_to=apps.certificate.models.get_user_certificate_pdf)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('course', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='courses.course')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='certificates', to='bot_manager.telegramusers')),
            ],
        ),
    ]
